Create Azure Data Lake Instance
This API creates an Azure Data Lake Instance.
- application/json
Request Body
- CreateAzureDatalakeInstanceSaas
- CreateAzureDatalakeInstanceCustomerManaged
- name string required
ObjectStorage instance name.
plan object required
id int32name stringcredential object required
id int32name stringcontents object
path string[]Optional list of files and folders to be added as content. Defaults to /
exclusions string[]Optional list of files and folders to exclude
exceptions string[]Optional list of files and folders to be added to the exceptions list
- storageAccount string required
Name of the Azure storage account
- hostURL string
Optional. Defaults to dfs.core.windows.net
region object required
id int32name stringaccessNodes object[]
id int32Id of ObjectStorage access node. This could be a Client id or Client Group id.
name stringName of ObjectStorage access node. This could be a Client name or Client Group name.
type stringPossible values - 'client' for Access nodes and 'clientGroup' for Access node group. If not passed, it is defaulted to 'client'.
- name string required
ObjectStorage instance name.
plan object required
id int32name stringcredential object required
id int32name stringcontents object
path string[]Optional list of files and folders to be added as content. Defaults to /
exclusions string[]Optional list of files and folders to exclude
exceptions string[]Optional list of files and folders to be added to the exceptions list
- storageAccount string required
Name of the Azure storage account
- hostURL string
Optional. Defaults to dfs.core.windows.net
accessNodes object[] required
id int32Id of ObjectStorage access node. This could be a Client id or Client Group id.
name stringName of ObjectStorage access node. This could be a Client name or Client Group name.
type stringPossible values - 'client' for Access nodes and 'clientGroup' for Access node group. If not passed, it is defaulted to 'client'.
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
- id int32
- name string
{
"id": 0,
"name": "string"
}